/*
 *  oftc-services: irc services for the OFTC network
 *  cache.h - nickname caching
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: cache.h 100 2003-11-05 00:33:42Z stu $
 */

#ifndef CACHE_H_INCLUDED
#define CACHE_H_INCLUDED

struct nickcache
{
    struct nickcache *next;
    unsigned int nick_id;
    int status;
    time_t status_timestamp;
    unsigned short int language;
    time_t language_timestamp;
};


extern void nickcache_init(void);
extern void nickcache_delall(void);
extern int nickcache_get_language(unsigned int);
extern void nickcache_set_language(unsigned int, unsigned int);
extern int nickcache_get_status(unsigned int);
extern void nickcache_set_status(unsigned int, int);
extern void nickcache_add_status(unsigned int, int);
extern void nickcache_remove_status(unsigned int, int);
extern struct nickcache *nickcache_update(unsigned int);

#endif
