/*
 * Services configuration.
 *
 * Blitzed Services copyright (c) 2000-2002 Blitzed Services team
 *     E-mail: services@lists.blitzed.org
 * Based on ircservices-4.4.8:
 * copyright (c) 1996-1999 Andrew Church.
 *     E-mail: <achurch@dragonfire.net>
 * copyright (c) 1999-2000 Andrew Kempe.
 *     E-mail: <theshadow@shadowfire.org>
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * $Id: config.h 100 2003-11-05 00:33:42Z stu $
 */

#ifndef CONFIG_H
#define CONFIG_H

/* Note that most of the options which used to be here have been moved to
 * services.conf. */

/*************************************************************************/

/* Should we try and deal with old (v2.x) databases?  Define this if you're
 * upgrading from v2.2.26 or earlier. */
/* #define COMPATIBILITY_V2 */


/******* NickServ configuration *******/

/* Default language for newly registered nicks (and nicks imported from
 * old databases); see services.h for available languages (search for
 * "LANG_").  Unless you're running a regional network, you should probably
 * leave this at LANG_EN_US. */
#define DEF_LANGUAGE	LANG_EN_US


/******* OperServ configuration *******/

/* What is the maximum number of Services admins we will allow? */
#define MAX_SERVADMINS	32

/* What is the maximum number of Services operators we will allow? */
#define MAX_SERVOPERS	64

/* How big a hostname list do we keep for clone detection?  On large nets
 * (over 500 simultaneous users or so), you may want to increase this if
 * you want a good chance of catching clones. */
#define CLONE_DETECT_SIZE 16

/* Define this to enable OperServ's debugging commands (Services root
 * only).  These commands are undocumented; "use the source, Luke!" */
#define DEBUG_COMMANDS


/* Extra warning:  If you change these, your data files will be unusable! */

/* Maximum length of a channel name, including the trailing null.  Any
 * channels with a length longer than (CHANMAX-1) including the leading #
 * will not be usable with ChanServ. */
#define CHANMAX		200

/* Maximum length of a nickname, including the trailing null.  This MUST be
 * at least one greater than the maximum allowable nickname length on your
 * network, or people will run into problems using Services!  The default
 * (32) works with all servers I know of. */
#define NICKMAX		32
#define HOSTMAX     63

/* Maximum length of a password */
#define PASSMAX		41

/* maximum length of the password salts */
#define SALTMAX		17


extern int   debug;

extern int   BadPassTimeout;
extern int   BadPassLimit;
extern char *StaticAkillReason;
extern int   WallAkillExpire;
extern int   ImmediatelySendAkill;
extern int opt_noexpire;
extern char *RemoteServer;
extern int   RemotePort;
extern char *RemotePassword;
extern char *LocalHost;
extern int   LocalPort;

extern char *ServerDesc;
extern char *ServiceUser;
extern char *ServiceHost;
extern char *ServerName;

extern char *s_NickServ;
extern char *s_ChanServ;
extern char *s_OperServ;
extern char *s_MemoServ;
extern char *s_HelpServ;
extern char *s_GlobalNoticer;
extern char *s_IrcIIHelp;
extern char *s_DevNull;
extern char *s_FloodServ;
extern char *desc_NickServ;
extern char *desc_ChanServ;
extern char *desc_MemoServ;
extern char *desc_HelpServ;
extern char *desc_OperServ;
extern char *desc_StatServ;
extern char *desc_GlobalNoticer;
extern char *desc_IrcIIHelp;
extern char *desc_DevNull;
extern char *desc_FloodServ;

extern char *PIDFilename;
extern char *MOTDFilename;
extern char *HelpDir;

extern char *mysqlHost;
extern char *mysqlUser;
extern char *mysqlPass;
extern char *mysqlDB;
extern unsigned int mysqlPort;
extern char *mysqlSocket;

extern int   NoSplitRecovery;
extern int   StrictPasswords;
extern int   ExpireTimeout;
extern int   AuthExpireTimeout;
extern int   ReadTimeout;
extern int   WarningTimeout;
extern int   TimeoutCheck;
extern char *SnoopChan;
extern char *SendmailPath;
 
extern char *AbuseEmail;
extern char *NetworkName;
extern int   StrictPassReject;
extern int   StrictPassWarn;

extern char *NSGuestNickPrefix;
extern int  NSDefAutoJoin;
extern int   NSDefEnforce;
extern int   NSDefEnforceQuick;
extern int   NSDefSecure;
extern int   NSDefPrivate;
extern int   NSDefHideEmail;
extern int   NSDefHideUsermask;
extern int   NSDefHideQuit;
extern int   NSDefMemoSignon;
extern int   NSDefMemoReceive;
extern int   NSDefCloak;
extern int   NSRegDelay;
extern int   NSExpire;
extern int   NSExtraGrace;
extern unsigned int NSAccessMax;
extern unsigned int NSAutoJoinMax;
extern char *NSEnforcerUser;
extern char *NSEnforcerHost;
extern int   NSReleaseTimeout;
extern int   NSDisableLinkCommand;
extern int   NSListOpersOnly;
extern int   NSListMax;
extern int   NSSecureAdmins;
extern int   NSSuspendExpire;
extern int   NSSuspendGrace;
extern int  NSNeedMail;
extern char *NSNickURL;
extern char *NSMyEmail;
extern int  NSWallReg;
extern char *NSRegExtraInfo;
extern int  NSRegNeedAuth;

extern int   CSMaxReg;
extern int   CSExpire;
extern unsigned int CSAccessMax;
extern int   CSAutokickMax;
extern char *CSAutokickReason;
extern int   CSInhabit;
extern int   CSRestrictDelay;
extern int   CSListOpersOnly;
extern int   CSListMax;
extern int   CSSuspendExpire;
extern int   CSSuspendGrace;
extern int  CSOpOper;
extern int  CSAkickOper;
extern char *CSMyEmail;
extern int  CSWallReg;
extern int   CSExtraGrace;

extern int   MSMaxMemos;
extern int  MSROT13;
extern int   MSSendDelay;
extern int   MSNotifyAll;

extern char *ServicesRoot;
extern int   LogMaxUsers;
extern int  AkillWildThresh;
extern int   AutokillExpiry;
extern int   WallOper;
extern int   WallBadOS;
extern int   WallOSMode;
extern int   WallOSClearmodes;
extern int   WallOSKick;
extern int  WallOSException;
extern int   WallOSAkill;
extern int   WallExceptionExpire;
extern int   WallGetpass;
extern int   WallSetpass;

extern int   LimitSessions;
extern int   DefSessionLimit;
extern int   ExceptionExpiry;
extern unsigned int MaxSessionLimit;
extern int  SessionAkillExpiry;
extern unsigned int SessionKillClues;
extern char *SessionLimitDetailsLoc;
extern char *SessionLimitExceeded;

extern int  FloodServAkillExpiry;
extern char *FloodServAkillReason;
extern int  FloodServTFNumLines;
extern int  FloodServTFSec;
extern int  FloodServTFNLWarned;
extern int  FloodServTFSecWarned;
extern int  FloodServWarnFirst;
extern char *FloodServWarnMsg;

extern int read_config(void);
extern void free_directives(void);

#endif	/* CONFIG_H */
