/*!
 * \file defs.h
 *
 * \brief Miscellaneous definitions.
 *
 * This file sets default values for any constants that should be in include
 * files but aren't, or that have wacky values.
 *
 * Blitzed Services copyright (c) 2000-2002 Blitzed Services team
 *     E-mail: services@lists.blitzed.org
 * Based on ircservices-4.4.8:
 * copyright (c) 1996-1999 Andrew Church.
 *     E-mail: <achurch@dragonfire.net>
 * copyright (c) 1999-2000 Andrew Kempe.
 *     E-mail: <theshadow@shadowfire.org>
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * $Id: defs.h 113 2003-11-05 14:16:07Z stu $
 */

#ifndef NAME_MAX
# define NAME_MAX 255
#endif

#define BUFSIZE     1024

#define SERVICES_CONF   "services.conf"
#define LOG_FILENAME    "services.log"
#define NET_BUFSIZE 65536

/* Length of an array: */
#define lenof(a)	(sizeof(a) / sizeof(*(a)))

#define ETCDIR SERVICES_PREFIX "/etc"
#define LOGDIR SERVICES_PREFIX "/logs"
#define LOG_FILENAME "services.log"
#define SERVICES_BIN "services"
#define CRACKLIB_DICT "/usr/share/dict/words"

#define NICKLEN     32
#define REALLEN     50
#define USERLEN     10
#define HOSTLEN     63
#define CHANLEN     200
#define TOPICLEN    450
#define PASSLEN     41 
#define SALTLEN     17

#define MAX_CHANNELCOUNT 25

#define DBUF_HEAP_SIZE 512
#define DNODE_HEAP_SIZE 2048
#define SNODE_HEAP_SIZE 1024
