/*
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: hash.h 100 2003-11-05 00:33:42Z stu $
 */

#ifndef INCLUDED_hash_h
#define INCLUDED_hash_h

extern void init_hash(void);

extern void hash_add_user(struct User *);
extern void hash_del_client(struct User *);
extern void hash_add_channel(struct Channel *);
extern void hash_del_channel(struct Channel *);
extern void hash_add_nick(unsigned long nick_id);

extern struct User *find_user(const char *);
extern struct Channel *hash_find_channel(const char *);

#define HASHSIZE 32768

#endif  /* INCLUDED_hash_h */
