/*
 *  oftc-services: irc services for the OFTC network
 *  log.h - logging functions
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: log.h 100 2003-11-05 00:33:42Z stu $
 */


#ifndef LOG_H_INCLUDED
#define LOG_H_INCLUDED

extern int open_log(void);
extern void close_log(void);
extern void slog(const char *fmt, ...);
extern void log_perror(const char *fmt, ...);
extern void snoop(const char *source, const char *fmt, ...);
extern void fatal(const char *fmt, ...);
extern void fatal_perror(const char *fmt, ...);
extern void rotate_log(struct User *u);

extern char *log_filename;

#endif
