/*
 *  oftc-services: irc services for the OFTC network
 *  misc.h - miscellaneous functions
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: misc.h 100 2003-11-05 00:33:42Z stu $
 */


#ifndef MISC_H_INC
#define MISC_H_INC

extern char *disect_time(time_t);
extern char *merge_args(int, char **);

extern int match_wild(const char *, const char *);
extern int match_wild_nocase(const char *, const char *);

typedef int (*range_callback_t)(struct User *, unsigned int, va_list);
extern int process_numlist(const char *, int *, unsigned int, unsigned int,
        range_callback_t, struct User *, ...);
extern int dotime(const char *);
extern char *time_ago(time_t);
extern void do_motd(const char *);
extern int validate_email(const char *);
extern void make_random_string(char *, size_t);
extern unsigned int validate_password(struct User *, const char *, 
        char *);
extern void fatal_error(const char *);
extern char *rot13(char *);
extern void introduce_user(const char *);
extern int init(int , char **);
extern void expire_auth(time_t );

extern time_t start_time;

#endif
