/*
 *  oftc-services: irc services for the OFTC network
 *  send.h - functions for sending messages and commands
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: send.h 100 2003-11-05 00:33:42Z stu $
 */

#ifndef SEND_H_INCLUDED
#define SEND_H_INCLUDED

extern void send_cmd(const char *source, const char *fmt, ...);
extern void vsend_cmd(const char *source, const char *fmt, va_list args);
extern void wallops(const char *source, const char *fmt, ...);
extern void notice(const char *source, const char *dest, const char *fmt, ...);
extern void opnotice(const char *source, const char *chan, const char *fmt, ...);
extern void global_notice(const char *source, const char *fmt, ...);
extern void notice_list(const char *source, const char *dest, const char **text);
extern void notice_lang(const char *source, struct User *dest, 
        unsigned int message, ...);
extern void notice_help(const char *source, struct User *dest, 
        unsigned int message, ...);
extern void privmsg(const char *source, const char *dest, const char *fmt, ...);
extern void send_nick(const char *nick, const char *user, const char *host,
        const char *server, const char *name);

#endif
