/*
 *  oftc-services: irc services for the OFTC network
 *  stdinc.h - standard include that all files #include
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: stdinc.h 100 2003-11-05 00:33:42Z stu $
 */


#ifndef STDINC_H_INC
#define STDINC_H_INC

#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include <time.h>
#include <errno.h>
#include <grp.h>
#include <limits.h>
#include <netdb.h>
#include <netinet/in.h>
#include <setjmp.h>
#include <sys/socket.h>
#include <sys/stat.h>       /* For umask() on some systems */
#include <sys/types.h>
#include <sys/time.h>
#include <arpa/inet.h>
#include <mysql.h>
#include <mysqld_error.h>
#include <errmsg.h>
#include <regex.h>
#include <assert.h>

#ifdef HAVE_STRINGS_H
#include <strings.h>
#endif

#ifdef HAVE_SYS_SELECT_H
#include <sys/select.h>
#endif

#define stricmp strcasecmp
#define strnicmp strncasecmp

#include <ctype.h>
#undef tolower
#undef toupper
#define tolower tolower_
#define toupper toupper_
extern int toupper(int), tolower(int);
#define encrypt encrypt_
#define EmptyString(x) (!(x) || (*(x) == '\0'))

#include "defs.h"
#include "sysconf.h"
#include "config.h"

#endif
